Skip to main content
GET
/
{alias}
/
catalog
/
feeds
Listar feeds
curl --request GET \
  --url https://api.dooki.com.br/v2/{alias}/catalog/feeds \
  --header 'User-Secret-Key: <api-key>' \
  --header 'User-Token: <api-key>'
import requests

url = "https://api.dooki.com.br/v2/{alias}/catalog/feeds"

headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};

fetch('https://api.dooki.com.br/v2/{alias}/catalog/feeds', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": 123,
      "collection_id": 123,
      "service": "google",
      "name": "ecd73150-e747-11e7-9221-0361c8d4d388",
      "url": "https://bubbstore.com/xml/file-name.xml"
    }
  ],
  "meta": {
    "pagination": {
      "total": "10",
      "count": "30",
      "per_page": "10",
      "current_page": "1",
      "total_pages": "3",
      "links": {
        "previous": "",
        "next": ""
      }
    }
  }
}

Authorizations

User-Token
string
header
required
User-Secret-Key
string
header
required

Path Parameters

alias
string
required

Alias da loja

Response

Lista de feeds

Representa uma paginação com meta

data
Feed · object[]
meta
object